PHP Version:
Complexity:
Subject: Don't clone, use explicit change tracking instead
Description

Currently the parameter converter uses "clone" to create copies of objects,

Much better would be to automatically set the change tracking to DEFERRED_EXPLICIT for all entities: 
http://www.doctrine-project.org/docs/orm/2.0/en/reference/change-tracking-policies.html

This would mean changes are only tracked when you explicitly call $em->persist(). You could then switch the implementation of the
Doctrine Base Repository to not use ->merge, but ->persist.

This would greatly simplify the code and make it much more robust.

Subtasks:
Feature # 29037: Use annotation to mark entities as aggregate root Rejected
Feature # 29038: Set useful defaults for cascade attributes in Doctrine Resolved
Task # 29039: Change default policy for Doctrine to DEFERRED_EXPLICIT Resolved
Task # 29040: Adjust documentation to new persistence behavior Resolved
Related issues:
related to TYPO3.Flow - Bug # 13324: It's not possible to update entities wit... Resolved 2011-02-24

History
#1 - 2011-07-26 22:35 - Robert Lemke
- Assigned To set to Karsten Dambekalns

#2 - 2011-08-04 08:09 - Sebastian Kurfuerst
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

Thanks Benjamin :-)

#3 - 2011-08-17 11:09 - Karsten Dambekalns
- Project changed from Doctrine 2 to TYPO3.Flow
- Status changed from New to Accepted

#4 - 2011-08-17 11:09 - Karsten Dambekalns
- Category set to Persistence

#5 - 2011-08-17 11:23 - Karsten Dambekalns
- Tracker changed from Bug to Feature
#6 - 2011-08-17 11:28 - Karsten Dambekalns

Some notes we took when discussing this: http://typo3.ietherpad.com/FLOW3Persistence

#7 - 2011-08-22 13:09 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#8 - 2011-08-26 16:15 - Karsten Dambekalns
- Status changed from Under Review to Resolved
